ScXMLObject Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Protected Member Functions | List of all members
ScXMLObject Class Referenceabstract
State Chart XML Classes

Base class for all SCXML objects. More...

`#include <Inventor/scxml/ScXMLObject.h>`

Inheritance diagram for ScXMLObject:

## Public Member Functions
virtual SoType | getTypeId (void) const =0
SbBool | isOfType (SoType type) const
void | setXMLAttribute (const char *attribute, const char *value)
const char * | getXMLAttribute (const char *attribute) const
virtual SbBool | handleXMLAttributes (void)
virtual void | setContainer (ScXMLObject *container)
ScXMLObject * | getContainer (void) const
SbBool | isContainedIn (const ScXMLObject *object) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void | initClass (void)

## Static Protected Member Functions
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

Base class for all SCXML objects.

Since
  Coin 3.0

## Member Function Documentation

void ScXMLObject::setXMLAttribute | ( | const char * | attribute,
|  | const char * | value
| ) |  |

This method associates a value with an attribute name. This is used for parameter passing while reading by the SCXML reader, but can be used as a general-purpose attribute dictionary outside of that.

If NULL is passed as the value, the attribute is removed.

const char * ScXMLObject::getXMLAttribute | ( | const char * | attribute | ) | const

This method returns the string value set for an attribute, or NULL if not set.

SbBool ScXMLObject::handleXMLAttributes | ( | void |  | ) |
| virtual

This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were ok or if a read error should be produced.

Returns
  TRUE if the attributes are ok, and FALSE on error.

This base class implementation does nothing and just returns TRUE.

Reimplemented in ScXMLInvoke.

void ScXMLObject::setContainer | ( | ScXMLObject * | container | ) |
| virtual

Set the pointer to the parent ScXML object.

SbBool ScXMLObject::isContainedIn | ( | const ScXMLObject * | object | ) | const

This method returns TRUE if the object is contained within the given object argument. Also if they are the same, TRUE will be returned. Otherwise, FALSE is retured.

void ScXMLObject::registerClassType | ( | const char * | xmlns,
|  | const char * | classname,
|  | SoType | type
| ) |  |
| staticprotected

Internal method. Friendly forwarding for ScXMLObject subclasses.

void ScXMLObject::registerInvokeClassType | ( | const char * | xmlns,
|  | const char * | targettype,
|  | const char * | source,
|  | SoType | type
| ) |  |
| staticprotected

Internal method. Friendly forwarding for ScXMLObject subclasses.

The documentation for this class was generated from the following files:

- ScXMLObject.h
- ScXMLObject.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.